Name:    plasma-integration
Summary: Qt Platform Theme integration plugin for Plasma
Version: 5.27.10
Release:    1%{?dist}

License: LGPLv2 or LGPLv3
URL:     https://invent.kde.org/plasma/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global majmin_ver %(echo %{version} | cut -d. -f1,2).50
%global stable unstable
%else
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  wayland-devel
BuildRequires:  cmake(PlasmaWaylandProtocols) >= 1.6.0

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)

BuildRequires:  cmake(Qt5WaylandClient)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  qt5-qtbase-static

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5Wayland)

BuildRequires: qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

BuildRequires:  plasma-breeze-devel >= %{majmin_ver}
Requires:       plasma-breeze >= %{majmin_ver}
Requires:       breeze-cursor-theme >= %{majmin_ver}
Requires:       breeze-icon-theme
Recommends:     plasma-workspace >= %{majmin_ver}

%description
%{summary}.


%prep
%autosetup -p1

sed -i.breeze_version \
  -e "s|^find_package(Breeze \${PROJECT_VERSION} |find_package(Breeze %{majmin_ver} |g" \
  CMakeLists.txt


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang plasmaintegration5


%files -f plasmaintegration5.lang
%doc README.md
%license LICENSES
%{_kf5_qtplugindir}/platformthemes/KDEPlasmaPlatformTheme.so
%{_kf5_datadir}/kconf_update/fonts_*
%{_qt5_plugindir}/platforminputcontexts/plasmaimplatforminputcontextplugin.so
%{_includedir}/PlasmaKeyData/
%{_libdir}/pkgconfig/plasma-key-data.pc


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.27.10-1
- initial build
